---
- name: "Network"
  include_role:
    name: "sutty_docker_network"
- name: "Unbound"
  include_role:
    name: "sutty_unbound"
  when: "unbound"
- name: "Mmmonit"
  include_role:
    name: "sutty_mmmonit"
- name: "DKIM keys"
  when: "not (opendkim | default(false))"
  include_role:
    name: "sutty_opendkim_generate_keypair"
  vars:
    group: "sutty_email"
    opendkim_group: "{{ dkim_group }}"
- name: "OpenDKIM"
  when: "opendkim | default(false)"
  include_role:
    name: "sutty_opendkim"
- name: "Rspamd"
  include_role:
    name: "sutty_rspamd"
  vars:
    state: "{% if inventory_hostname in groups.sutty_rspamd %}started{% else %}absent{% endif %}"
    rspamd_group: "{{ dkim_group }}"
- name: "PostSRSd"
  include_role:
    name: "sutty_postsrsd"
  vars:
    domain: "{{ sutty }}"
- name: "Postfix"
  include_role:
    name: "sutty_postfix"
  vars:
    milters: "inet:rspamd.{{ groups.sutty_rspamd[0] }}:11332{% if (opendkim | default(false)) %},inet:opendkim.{{ inventory_hostname }}:8891{% endif %}"
    srs: "postsrsd.{{ inventory_hostname }}"
